#!/bin/sh

java -classpath biggests.jar biggests/utils/JVMInfo

bits=`cat bits.txt`

case $( uname -s ) in
	Darwin	) bytes=`sysctl -n hw.memsize`; mem=`expr $bytes / 1024`; cpu=`sysctl -n hw.cpu64bit_capable`;;
	*		) mem=`cat /proc/meminfo | grep MemTotal | tr -d [:space:] | tr -d [:alpha:] | tr -d :`; cpu=`uname -a | grep 64 | wc -m`;;
esac

if [ $bits -eq 64 -a $cpu -ge 1 ]
then 
	mem=`echo "scale=0;x=$mem * 0.8;x/1" | bc -l`;
	java -Xss5m -Xms"$mem"k -Xmx"$mem"k -d64 -jar biggests.jar;
else
	if [ $bits -eq 32 -a $cpu -ge 1 ]
		then mem=`expr $mem / 2`;
	fi
	mem=`echo "scale=0;x=$mem * 0.8;x/1" | bc -l`;	
	java -Xss5m -Xms"$mem"k -Xmx"$mem"k -jar biggests.jar;
fi
